Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
branch: master
Fetching contributors…

Cannot retrieve contributors at this time

238 lines (233 sloc) 7.314 kb
<project>
<modelVersion>4.0.0</modelVersion>
<parent>
<groupId>org.sonatype.oss</groupId>
<artifactId>oss-parent</artifactId>
<version>7</version>
</parent>
<groupId>io.trygvis.usb</groupId>
<artifactId>javax-usb-libusb1</artifactId>
<version>1.0.1-1-SNAPSHOT</version>
<name>Javalibusb1</name>
<packaging>pom</packaging>
<dependencies>
<dependency>
<groupId>junit</groupId>
<artifactId>junit</artifactId>
<version>4.7</version>
<scope>test</scope>
</dependency>
</dependencies>
<scm>
<connection>scm:git:git@github.com:trygvis/javax-usb-libusb1</connection>
<developerConnection>scm:git:git@github.com:trygvis/javax-usb-libusb1</developerConnection>
</scm>
<build>
<pluginManagement>
<plugins>
<plugin>
<artifactId>maven-assembly-plugin</artifactId>
<version>2.2</version>
</plugin>
<plugin>
<artifactId>maven-clean-plugin</artifactId>
<version>2.4.1</version>
</plugin>
<plugin>
<artifactId>maven-compiler-plugin</artifactId>
<version>2.3.2</version>
<configuration>
<source>1.5</source>
<target>1.5</target>
<encoding>UTF-8</encoding>
</configuration>
</plugin>
<plugin>
<artifactId>maven-deploy-plugin</artifactId>
<version>2.5</version>
</plugin>
<plugin>
<artifactId>maven-enforcer-plugin</artifactId>
<version>1.0-beta-1</version>
</plugin>
<plugin>
<artifactId>maven-install-plugin</artifactId>
<version>2.3.1</version>
</plugin>
<plugin>
<artifactId>maven-jar-plugin</artifactId>
<version>2.3.1</version>
</plugin>
<plugin>
<artifactId>maven-site-plugin</artifactId>
<version>2.1</version>
</plugin>
<plugin>
<artifactId>maven-surefire-plugin</artifactId>
<version>2.6</version>
</plugin>
<plugin>
<artifactId>maven-help-plugin</artifactId>
<version>2.1.1</version>
</plugin>
<plugin>
<artifactId>maven-resources-plugin</artifactId>
<version>2.4.3</version>
<configuration>
<encoding>UTF-8</encoding>
</configuration>
</plugin>
<plugin>
<groupId>io.trygvis.usb</groupId>
<artifactId>maven-nar-plugin</artifactId>
<version>2.1-trygvis-1</version>
</plugin>
<plugin>
<groupId>org.codehaus.mojo</groupId>
<artifactId>appassembler-maven-plugin</artifactId>
<version>1.0</version>
</plugin>
<plugin>
<groupId>org.codehaus.mojo</groupId>
<artifactId>exec-maven-plugin</artifactId>
<version>1.2</version>
</plugin>
<plugin>
<groupId>org.codehaus.mojo</groupId>
<artifactId>versions-maven-plugin</artifactId>
<version>1.2</version>
</plugin>
</plugins>
</pluginManagement>
<plugins>
<plugin>
<artifactId>maven-enforcer-plugin</artifactId>
<executions>
<execution>
<goals>
<goal>enforce</goal>
</goals>
</execution>
</executions>
<configuration>
<rules>
<!--
If you're missing these properties your platform is not supported.
To add support for your platform create a profile that's activated
on your platform.
-->
<requireProperty>
<property>libusb.home</property>
</requireProperty>
<requireProperty>
<property>libusb.cflags</property>
</requireProperty>
<requireProperty>
<property>libusb.configure.args</property>
</requireProperty>
<requireProperty>
<property>nar.optionSet.c</property>
</requireProperty>
<requireProperty>
<property>nar.optionSet.linker</property>
</requireProperty>
</rules>
</configuration>
</plugin>
<plugin>
<groupId>io.trygvis.usb</groupId>
<artifactId>maven-nar-plugin</artifactId>
<extensions>true</extensions>
</plugin>
</plugins>
</build>
<profiles>
<profile>
<id>libusb</id>
<modules>
<module>libusb</module>
</modules>
</profile>
<!--
This is a list of platform-specific settings:
nar.optionSet.c, nar.optionSet.linker: options to the compiler and linker when
building the JNI code. They are mainly a copy of the AOL settings for each platform
but does not include the -Wconversion flag as it'll result in a lot of warnings
that are from the libusb header files.
libusb.cflags: Flags given to ./configure for libusb
-->
<profile>
<id>i386-Linux-gpp</id>
<activation>
<os>
<name>linux</name>
<arch>i386</arch>
</os>
</activation>
<properties>
<!--
-m32 seems to be required on 64bit platforms when building 32bit apps
-lrt was required as libusb uses librt.so but when libusb is
statically linked into the application this .so reference is not
included.
-->
<nar.optionSet.c>-Wall -Wno-long-long -Wpointer-arith -fPIC -g -m32</nar.optionSet.c>
<nar.optionSet.linker>-m32 -lrt</nar.optionSet.linker>
<libusb.configure.args/>
<libusb.cflags>-m32</libusb.cflags>
</properties>
</profile>
<profile>
<id>amd64-Linux-gpp</id>
<activation>
<os>
<name>linux</name>
<arch>amd64</arch>
</os>
</activation>
<properties>
<nar.optionSet.c>-Wall -Wno-long-long -Wpointer-arith -fPIC -g -m64</nar.optionSet.c>
<nar.optionSet.linker>-m64 -lrt</nar.optionSet.linker>
<libusb.configure.args>--with-pic</libusb.configure.args>
<libusb.cflags>-m64</libusb.cflags>
</properties>
</profile>
<profile>
<id>i386-MacOSX-gpp</id>
<activation>
<os>
<name>mac os x</name>
<arch>i386</arch>
</os>
</activation>
<properties>
<nar.optionSet.c>-Wall -Wno-long-long -Wpointer-arith -fPIC -g</nar.optionSet.c>
<nar.optionSet.linker/>
<libusb.configure.args/>
<libusb.cflags>-m32</libusb.cflags>
</properties>
</profile>
<profile>
<id>x86_64-MacOSX-gpp</id>
<activation>
<os>
<name>mac os x</name>
<arch>x86_64</arch>
</os>
</activation>
<properties>
<nar.optionSet.c>-Wall -Wno-long-long -Wpointer-arith -fPIC -g -m64</nar.optionSet.c>
<nar.optionSet.linker>-m64</nar.optionSet.linker>
<libusb.configure.args/>
<libusb.cflags>-m64</libusb.cflags>
</properties>
</profile>
</profiles>
<modules>
<module>ftdi</module>
<module>javalibusb1</module>
<module>javax.usb-extra</module>
<module>javax.usb</module>
<module>usbtools</module>
</modules>
</project>
Jump to Line
Something went wrong with that request. Please try again.